<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      xmlns:custom="http://www.w3.org/1999/xhtml"
      xmlns:sd="http://www.w3.org/1999/xhtml"
      layout:decorate="~{menu_setting}">
<head>
    <meta charset="UTF-8">
    <title>Ruangan</title>
</head>
<body>
<div layout:fragment="setting" class="box-body no-padding">
    <div class="box box-primary">
        <form method="get">
            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <h3 class="box-title">Ruangan</h3>
                    </div>
                    <div class="col-md-6" align="right">
                        <!--                        Show entries <span sd:page-size-selector="javascript"></span>-->
                    </div>
                </div>
            </div>

            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <div class="input-group input-group-sm" style="width: 150px;">
                            <a th:href="@{/setting/ruangan/new}" name="tambah" type="button" class="btn btn-block btn-primary">+ Ruangan</a>
                        </div>
                    </div>


                    <div class="col-md-6" align="right">
                        <div class="input-group input-group-sm" style="width: 150px;">
                            <input type="text" name="search" class="form-control pull-right" placeholder="Search">
                            <div class="input-group-btn">
                                <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>

        <div class="box-body table-responsive no-padding">
            <table class="table table-bordered text-center">
                <thead>
                    <tr>
                        <th style="width: 10px">No</th>
                        <th>Letak Lantai</th>
                        <th>Kode Ruang</th>
                        <th>Nama Ruang</th>
                        <th>Kapasitas</th>
                        <th>Jenis Ruang</th>
                        <th>Gedung</th>
                        <th>Action</th>
                        <th>Delete</th>
                    </tr>
                </thead>
                <tbody>
                    <tr th:each="x,i : ${datas.content}">
                        <td th:text="${(datas.number * datas.size) + i.count}"></td>
                        <td th:text="${x.letakLantai}"></td>
                        <td th:text="${x.kodeRuang}"></td>
                        <td th:text="${x.namaRuang}"></td>
                        <td th:text="${x.kapasitas}"></td>
                        <td th:text="${x.jenisRuang.jenisRuangan}"></td>
                        <td th:text="${x.gedung.namaGedung}"></td>
                        <td>
                            <a class="btn btn-warning btn-xs" th:href="@{/setting/ruangan/new(id=${x.id})}">
                                <i class="fa fa-edit"></i>Edit</a>
                        </td>
                        <td>
                            <form role="form" th:action="@{/setting/ruangan/delete(id=${x.id})}" th:object="${ruangan}" method="post">
                                <button type="submit" class="btn btn-danger btn-xs pull-right"
                                        onclick="return confirm('Are you sure want to delete this?')">
                                    <i class="fa fa-trash"></i>Delete
                                </button>
                            </form>
                        </td>
                    </tr>
                    <tr th:if="${#lists.isEmpty(datas.content)}">
                        <td colspan="9" class="text-center">Data not found</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="box-footer clearfix">
            <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                <li class="disabled"><a href="#" aria-label="Previous"><span
                        aria-hidden="true">&laquo;</span></a>
                </li>
                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                </li>
            </ul>
        </div>
    </div>
</div>
</body>
</html>